Index: uspace/srv/net/structures/dynamic_fifo.c
===================================================================
--- uspace/srv/net/structures/dynamic_fifo.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/dynamic_fifo.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -50,5 +50,5 @@
  *  @param[in] index The actual index to be shifted.
  */
-#define NEXT_INDEX( fifo, index )	((( index ) + 1 ) % (( fifo )->size + 1 ))
+#define NEXT_INDEX(fifo, index)	(((index) + 1) % ((fifo)->size + 1))
 
 /** Checks if the queue is valid.
@@ -57,15 +57,21 @@
  *  @returns FALSE otherwise.
  */
-int	dyn_fifo_is_valid( dyn_fifo_ref fifo );
+int dyn_fifo_is_valid(dyn_fifo_ref fifo);
 
-int dyn_fifo_is_valid( dyn_fifo_ref fifo ){
-	return fifo && ( fifo->magic_value == DYN_FIFO_MAGIC_VALUE );
+int dyn_fifo_is_valid(dyn_fifo_ref fifo){
+	return fifo && (fifo->magic_value == DYN_FIFO_MAGIC_VALUE);
 }
 
-int dyn_fifo_initialize( dyn_fifo_ref fifo, int size ){
-	if( ! fifo ) return EBADMEM;
-	if( size <= 0 ) return EINVAL;
-	fifo->items = ( int * ) malloc( sizeof( int ) * size + 1 );
-	if( ! fifo->items ) return ENOMEM;
+int dyn_fifo_initialize(dyn_fifo_ref fifo, int size){
+	if(! fifo){
+		return EBADMEM;
+	}
+	if(size <= 0){
+		return EINVAL;
+	}
+	fifo->items = (int *) malloc(sizeof(int) * size + 1);
+	if(! fifo->items){
+		return ENOMEM;
+	}
 	fifo->size = size;
 	fifo->head = 0;
@@ -75,24 +81,30 @@
 }
 
-int	dyn_fifo_push( dyn_fifo_ref fifo, int value, int max_size ){
-	int *	new_items;
+int dyn_fifo_push(dyn_fifo_ref fifo, int value, int max_size){
+	int * new_items;
 
-	if( ! dyn_fifo_is_valid( fifo )) return EINVAL;
-	if( NEXT_INDEX( fifo, fifo->tail ) == fifo->head ){
-		if(( max_size > 0 ) && (( fifo->size * 2 ) > max_size )){
-			if( fifo->size >= max_size ) return ENOMEM;
+	if(! dyn_fifo_is_valid(fifo)){
+		return EINVAL;
+	}
+	if(NEXT_INDEX(fifo, fifo->tail) == fifo->head){
+		if((max_size > 0) && ((fifo->size * 2) > max_size)){
+			if(fifo->size >= max_size){
+				return ENOMEM;
+			}
 		}else{
 			max_size = fifo->size * 2;
 		}
-		new_items = realloc( fifo->items, sizeof( int ) * max_size + 1 );
-		if( ! new_items ) return ENOMEM;
+		new_items = realloc(fifo->items, sizeof(int) * max_size + 1);
+		if(! new_items){
+			return ENOMEM;
+		}
 		fifo->items = new_items;
-		if( fifo->tail < fifo->head ){
-			if( fifo->tail < max_size - fifo->size ){
-				memcpy( fifo->items + fifo->size + 1, fifo->items, fifo->tail * sizeof( int ));
+		if(fifo->tail < fifo->head){
+			if(fifo->tail < max_size - fifo->size){
+				memcpy(fifo->items + fifo->size + 1, fifo->items, fifo->tail * sizeof(int));
 				fifo->tail += fifo->size + 1;
 			}else{
-				memcpy( fifo->items + fifo->size + 1, fifo->items, ( max_size - fifo->size ) * sizeof( int ));
-				memcpy( fifo->items, fifo->items + max_size - fifo->size, fifo->tail - max_size + fifo->size );
+				memcpy(fifo->items + fifo->size + 1, fifo->items, (max_size - fifo->size) * sizeof(int));
+				memcpy(fifo->items, fifo->items + max_size - fifo->size, fifo->tail - max_size + fifo->size);
 				fifo->tail -= max_size - fifo->size;
 			}
@@ -100,28 +112,38 @@
 		fifo->size = max_size;
 	}
-	fifo->items[ fifo->tail ] = value;
-	fifo->tail = NEXT_INDEX( fifo, fifo->tail );
+	fifo->items[fifo->tail] = value;
+	fifo->tail = NEXT_INDEX(fifo, fifo->tail);
 	return EOK;
 }
 
-int dyn_fifo_pop( dyn_fifo_ref fifo ){
-	int	value;
+int dyn_fifo_pop(dyn_fifo_ref fifo){
+	int value;
 
-	if( ! dyn_fifo_is_valid( fifo )) return EINVAL;
-	if( fifo->head == fifo->tail ) return ENOENT;
-	value = fifo->items[ fifo->head ];
-	fifo->head = NEXT_INDEX( fifo, fifo->head );
+	if(! dyn_fifo_is_valid(fifo)){
+		return EINVAL;
+	}
+	if(fifo->head == fifo->tail){
+		return ENOENT;
+	}
+	value = fifo->items[fifo->head];
+	fifo->head = NEXT_INDEX(fifo, fifo->head);
 	return value;
 }
 
-int dyn_fifo_value( dyn_fifo_ref fifo ){
-	if( ! dyn_fifo_is_valid( fifo )) return EINVAL;
-	if( fifo->head == fifo->tail ) return ENOENT;
-	return fifo->items[ fifo->head ];
+int dyn_fifo_value(dyn_fifo_ref fifo){
+	if(! dyn_fifo_is_valid(fifo)){
+		return EINVAL;
+	}
+	if(fifo->head == fifo->tail){
+		return ENOENT;
+	}
+	return fifo->items[fifo->head];
 }
 
-int dyn_fifo_destroy( dyn_fifo_ref fifo ){
-	if( ! dyn_fifo_is_valid( fifo )) return EINVAL;
-	free( fifo->items );
+int dyn_fifo_destroy(dyn_fifo_ref fifo){
+	if(! dyn_fifo_is_valid(fifo)){
+		return EINVAL;
+	}
+	free(fifo->items);
 	fifo->magic_value = 0;
 	return EOK;
Index: uspace/srv/net/structures/generic_char_map.h
===================================================================
--- uspace/srv/net/structures/generic_char_map.h	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/generic_char_map.h	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -54,7 +54,7 @@
  *  @param[in] type Inner object type.
  */
-#define GENERIC_CHAR_MAP_DECLARE( name, type )									\
+#define GENERIC_CHAR_MAP_DECLARE(name, type)									\
 																				\
-GENERIC_FIELD_DECLARE( name##_items, type )										\
+GENERIC_FIELD_DECLARE(name##_items, type)										\
 																				\
 typedef	struct name		name##_t;												\
@@ -62,16 +62,16 @@
 																				\
 struct	name{																	\
-	char_map_t		names;														\
-	name##_items_t	values;														\
-	int				magic;														\
+	char_map_t names;														\
+	name##_items_t values;														\
+	int magic;														\
 };																				\
 																				\
-int	name##_add( name##_ref map, const char * name, const size_t length, type * value );	\
-int	name##_count( name##_ref map );												\
-void	name##_destroy( name##_ref map );										\
-void	name##_exclude( name##_ref map, const char * name, const size_t length );	\
-type *	name##_find( name##_ref map, const char * name, const size_t length );	\
-int	name##_initialize( name##_ref map );										\
-int	name##_is_valid( name##_ref map );
+int name##_add(name##_ref map, const char * name, const size_t length, type * value);	\
+int name##_count(name##_ref map);												\
+void name##_destroy(name##_ref map);											\
+void name##_exclude(name##_ref map, const char * name, const size_t length);	\
+type * name##_find(name##_ref map, const char * name, const size_t length);		\
+int name##_initialize(name##_ref map);											\
+int name##_is_valid(name##_ref map);
 
 /** Character string to generic type map implementation.
@@ -80,18 +80,22 @@
  *  @param[in] type Inner object type.
  */
-#define GENERIC_CHAR_MAP_IMPLEMENT( name, type )								\
+#define GENERIC_CHAR_MAP_IMPLEMENT(name, type)									\
 																				\
-GENERIC_FIELD_IMPLEMENT( name##_items, type )									\
+GENERIC_FIELD_IMPLEMENT(name##_items, type)										\
 																				\
-int name##_add( name##_ref map, const char * name, const size_t length, type * value ){	\
+int name##_add(name##_ref map, const char * name, const size_t length, type * value){	\
 	ERROR_DECLARE;																\
 																				\
-	int	index;																	\
+	int index;																	\
 																				\
-	if( ! name##_is_valid( map )) return EINVAL;								\
-	index = name##_items_add( & map->values, value );							\
-	if( index < 0 ) return index;												\
-	if( ERROR_OCCURRED( char_map_add( & map->names, name, length, index ))){		\
-		name##_items_exclude_index( & map->values, index );						\
+	if(! name##_is_valid(map)){													\
+		return EINVAL;															\
+	}																			\
+	index = name##_items_add(&map->values, value);								\
+	if(index < 0){																\
+		return index;															\
+	}																			\
+	if(ERROR_OCCURRED(char_map_add(&map->names, name, length, index))){			\
+		name##_items_exclude_index(&map->values, index);						\
 		return ERROR_CODE;														\
 	}																			\
@@ -99,33 +103,33 @@
 }																				\
 																				\
-int name##_count( name##_ref map ){												\
-	return name##_is_valid( map ) ? name##_items_count( & map->values ) : -1;	\
+int name##_count(name##_ref map){												\
+	return name##_is_valid(map) ? name##_items_count(&map->values) : -1;		\
 }																				\
 																				\
-void name##_destroy( name##_ref map ){											\
-	if( name##_is_valid( map )){												\
-		char_map_destroy( & map->names );										\
-		name##_items_destroy( & map->values );									\
+void name##_destroy(name##_ref map){											\
+	if(name##_is_valid(map)){													\
+		char_map_destroy(&map->names);											\
+		name##_items_destroy(&map->values);										\
 	}																			\
 }																				\
 																				\
-void name##_exclude( name##_ref map, const char * name, const size_t length ){	\
-	if( name##_is_valid( map )){												\
-		int	index;																\
+void name##_exclude(name##_ref map, const char * name, const size_t length){	\
+	if(name##_is_valid(map)){													\
+		int index;																\
 																				\
-		index = char_map_exclude( & map->names, name, length );					\
-		if( index != CHAR_MAP_NULL ){											\
-			name##_items_exclude_index( & map->values, index );					\
+		index = char_map_exclude(&map->names, name, length);					\
+		if(index != CHAR_MAP_NULL){												\
+			name##_items_exclude_index(&map->values, index);					\
 		}																		\
 	}																			\
 }																				\
 																				\
-type * name##_find( name##_ref map, const char * name, const size_t length ){	\
-	if( name##_is_valid( map )){												\
-		int	index;																\
+type * name##_find(name##_ref map, const char * name, const size_t length){		\
+	if(name##_is_valid(map)){													\
+		int index;																\
 																				\
-		index = char_map_find( & map->names, name, length );					\
-		if( index != CHAR_MAP_NULL ){											\
-			return name##_items_get_index( & map->values, index );				\
+		index = char_map_find(&map->names, name, length);						\
+		if(index != CHAR_MAP_NULL){												\
+			return name##_items_get_index(&map->values, index);					\
 		}																		\
 	}																			\
@@ -133,11 +137,13 @@
 }																				\
 																				\
-int name##_initialize( name##_ref map ){										\
+int name##_initialize(name##_ref map){											\
 	ERROR_DECLARE;																\
 																				\
-	if( ! map ) return EINVAL;													\
-	ERROR_PROPAGATE( char_map_initialize( & map->names ));						\
-	if( ERROR_OCCURRED( name##_items_initialize( & map->values ))){				\
-		char_map_destroy( & map->names );										\
+	if(! map){																	\
+		return EINVAL;															\
+	}																			\
+	ERROR_PROPAGATE(char_map_initialize(&map->names));							\
+	if(ERROR_OCCURRED(name##_items_initialize(&map->values))){					\
+		char_map_destroy(&map->names);											\
 		return ERROR_CODE;														\
 	}																			\
@@ -146,6 +152,6 @@
 }																				\
 																				\
-int name##_is_valid( name##_ref map ){											\
-	return map && ( map->magic == GENERIC_CHAR_MAP_MAGIC_VALUE );				\
+int name##_is_valid(name##_ref map){											\
+	return map && (map->magic == GENERIC_CHAR_MAP_MAGIC_VALUE);					\
 }
 
Index: uspace/srv/net/structures/generic_field.h
===================================================================
--- uspace/srv/net/structures/generic_field.h	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/generic_field.h	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -51,24 +51,24 @@
  *  @param[in] type Inner object type.
  */
-#define GENERIC_FIELD_DECLARE( name, type )					\
-										\
-typedef	struct name		name##_t;					\
-typedef	name##_t *		name##_ref;					\
-										\
-struct	name{									\
-	int	size;								\
-	int	next;								\
-	type **	items;								\
-	int	magic;								\
-};										\
-										\
-int	name##_add( name##_ref field, type * value );				\
-int	name##_count( name##_ref field );					\
-void	name##_destroy( name##_ref field );					\
-void	name##_exclude_index( name##_ref field, int index );			\
-type **	name##_get_field( name##_ref field );					\
-type *	name##_get_index( name##_ref field, int index );			\
-int	name##_initialize( name##_ref field );					\
-int	name##_is_valid( name##_ref field );
+#define GENERIC_FIELD_DECLARE(name, type)										\
+																				\
+typedef	struct name		name##_t;												\
+typedef	name##_t *		name##_ref;												\
+																				\
+struct	name{																	\
+	int size;																	\
+	int next;																	\
+	type **	items;																\
+	int magic;																	\
+};																				\
+																				\
+int name##_add(name##_ref field, type * value);									\
+int name##_count(name##_ref field);												\
+void name##_destroy(name##_ref field);											\
+void name##_exclude_index(name##_ref field, int index);							\
+type ** name##_get_field(name##_ref field);										\
+type * name##_get_index(name##_ref field, int index);							\
+int name##_initialize(name##_ref field);										\
+int name##_is_valid(name##_ref field);
 
 /** Generic type field implementation.
@@ -77,71 +77,79 @@
  *  @param[in] type Inner object type.
  */
-#define GENERIC_FIELD_IMPLEMENT( name, type )					\
-										\
-int name##_add( name##_ref field, type * value ){				\
-	if( name##_is_valid( field )){						\
-		if( field->next == ( field->size - 1 )){			\
-			type **	tmp;					\
-										\
-			tmp = ( type ** ) realloc( field->items, sizeof( type * ) * 2 * field->size );	\
-			if( ! tmp ) return ENOMEM;				\
-			field->size *= 2;					\
-			field->items = tmp;					\
-		}								\
-		field->items[ field->next ] = value;				\
-		++ field->next;							\
-		field->items[ field->next ] = NULL;				\
-		return field->next - 1;						\
-	}									\
-	return EINVAL;								\
-}										\
-										\
-int name##_count( name##_ref field ){						\
-	return name##_is_valid( field ) ? field->next : -1;			\
-}										\
-										\
-void name##_destroy( name##_ref field ){					\
-	if( name##_is_valid( field )){						\
-		int	index;							\
-										\
-		field->magic = 0;						\
-		for( index = 0; index < field->next; ++ index ){		\
-			if( field->items[ index ] ) free( field->items[ index ] );				\
-		}								\
-		free( field->items );						\
-	}									\
-}										\
-										\
-void name##_exclude_index( name##_ref field, int index ){			\
-	if( name##_is_valid( field ) && ( index >= 0 ) && ( index < field->next ) && ( field->items[ index ] )){	\
-		free( field->items[ index ] );					\
-		field->items[ index ] = NULL;					\
-	}									\
-}										\
-										\
-type * name##_get_index( name##_ref field, int index ){				\
-	if( name##_is_valid( field ) && ( index >= 0 ) && ( index < field->next ) && ( field->items[ index ] )){	\
-		return field->items[ index ];					\
-	}									\
-	return NULL;								\
-}										\
-										\
-type ** name##_get_field( name##_ref field ){					\
-	return name##_is_valid( field ) ? field->items : NULL;			\
-}										\
-										\
-int name##_initialize( name##_ref field ){					\
-	if( ! field ) return EINVAL;						\
-	field->size = 2;							\
-	field->next = 0;							\
-	field->items = ( type ** ) malloc( sizeof( type * ) * field->size );	\
-	if( ! field->items ) return ENOMEM;					\
-	field->items[ field->next ] = NULL;					\
-	field->magic = GENERIC_FIELD_MAGIC_VALUE;					\
-	return EOK;								\
-}										\
-										\
-int name##_is_valid( name##_ref field ){					\
-	return field && ( field->magic == GENERIC_FIELD_MAGIC_VALUE );		\
+#define GENERIC_FIELD_IMPLEMENT(name, type)										\
+																				\
+int name##_add(name##_ref field, type * value){									\
+	if(name##_is_valid(field)){													\
+		if(field->next == (field->size - 1)){									\
+			type **	tmp;														\
+																				\
+			tmp = (type **) realloc(field->items, sizeof(type *) * 2 * field->size);	\
+			if(! tmp){															\
+				return ENOMEM;													\
+			}																	\
+			field->size *= 2;													\
+			field->items = tmp;													\
+		}																		\
+		field->items[field->next] = value;										\
+		++ field->next;															\
+		field->items[field->next] = NULL;										\
+		return field->next - 1;													\
+	}																			\
+	return EINVAL;																\
+}																				\
+																				\
+int name##_count(name##_ref field){												\
+	return name##_is_valid(field) ? field->next : -1;							\
+}																				\
+																				\
+void name##_destroy(name##_ref field){											\
+	if(name##_is_valid(field)){													\
+		int index;																\
+																				\
+		field->magic = 0;														\
+		for(index = 0; index < field->next; ++ index){							\
+			if(field->items[index]){											\
+				free(field->items[index]);										\
+			}																	\
+		}																		\
+		free(field->items);														\
+	}																			\
+}																				\
+																				\
+void name##_exclude_index(name##_ref field, int index){							\
+	if(name##_is_valid(field) && (index >= 0) && (index < field->next) && (field->items[index])){	\
+		free(field->items[index]);												\
+		field->items[index] = NULL;												\
+	}																			\
+}																				\
+																				\
+type * name##_get_index(name##_ref field, int index){							\
+	if(name##_is_valid(field) && (index >= 0) && (index < field->next) && (field->items[index])){	\
+		return field->items[index];												\
+	}																			\
+	return NULL;																\
+}																				\
+																				\
+type ** name##_get_field(name##_ref field){										\
+	return name##_is_valid(field) ? field->items : NULL;						\
+}																				\
+																				\
+int name##_initialize(name##_ref field){										\
+	if(! field){																\
+		return EINVAL;															\
+	}																			\
+	field->size = 2;															\
+	field->next = 0;															\
+	field->items = (type **) malloc(sizeof(type *) * field->size);				\
+	if(! field->items){															\
+		return ENOMEM;															\
+	}																			\
+	field->items[field->next] = NULL;											\
+	field->magic = GENERIC_FIELD_MAGIC_VALUE;									\
+	return EOK;																	\
+}																				\
+																				\
+int name##_is_valid(name##_ref field){											\
+	return field && (field->magic == GENERIC_FIELD_MAGIC_VALUE);				\
 }
 
Index: uspace/srv/net/structures/int_map.h
===================================================================
--- uspace/srv/net/structures/int_map.h	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/int_map.h	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -55,5 +55,5 @@
  *  @param[in] type Inner object type.
  */
-#define INT_MAP_DECLARE( name, type )											\
+#define INT_MAP_DECLARE(name, type)												\
 																				\
 typedef	struct name			name##_t;											\
@@ -63,29 +63,29 @@
 																				\
 struct	name##_item{															\
-	int		key;																\
-	type *	value;																\
-	int		magic;																\
+	int key;																\
+	type * value;																\
+	int magic;																\
 };																				\
 																				\
 struct	name{																	\
-	int				size;														\
-	int				next;														\
-	name##_item_ref	items;														\
-	int				magic;														\
+	int size;														\
+	int next;														\
+	name##_item_ref items;														\
+	int magic;														\
 };																				\
 																				\
-int		name##_add( name##_ref map, int key, type * value );					\
-void	name##_clear( name##_ref map );											\
-int		name##_count( name##_ref map );											\
-void	name##_destroy( name##_ref map );										\
-void	name##_exclude( name##_ref map, int key );								\
-void	name##_exclude_index( name##_ref map, int index );						\
-type *	name##_find( name##_ref map, int key );									\
-int		name##_update( name##_ref map, int key, int new_key );					\
-type *	name##_get_index( name##_ref map, int index );							\
-int		name##_initialize( name##_ref map );									\
-int		name##_is_valid( name##_ref map );										\
-void	name##_item_destroy( name##_item_ref item );							\
-int		name##_item_is_valid( name##_item_ref item );
+int name##_add(name##_ref map, int key, type * value);							\
+void name##_clear(name##_ref map);												\
+int name##_count(name##_ref map);												\
+void name##_destroy(name##_ref map);											\
+void name##_exclude(name##_ref map, int key);									\
+void name##_exclude_index(name##_ref map, int index);							\
+type * name##_find(name##_ref map, int key);									\
+int name##_update(name##_ref map, int key, int new_key);						\
+type * name##_get_index(name##_ref map, int index);								\
+int name##_initialize(name##_ref map);											\
+int name##_is_valid(name##_ref map);											\
+void name##_item_destroy(name##_item_ref item);									\
+int name##_item_is_valid(name##_item_ref item);
 
 /** Integer to generic type map implementation.
@@ -94,21 +94,23 @@
  *  @param[in] type Inner object type.
  */
-#define INT_MAP_IMPLEMENT( name, type )											\
-																				\
-int name##_add( name##_ref map, int key, type * value ){						\
-	if( name##_is_valid( map )){												\
-		if( map->next == ( map->size - 1 )){									\
-			name##_item_ref	tmp;												\
-																				\
-			tmp = ( name##_item_ref ) realloc( map->items, sizeof( name##_item_t ) * 2 * map->size );	\
-			if( ! tmp ) return ENOMEM;											\
+#define INT_MAP_IMPLEMENT(name, type)											\
+																				\
+int name##_add(name##_ref map, int key, type * value){							\
+	if(name##_is_valid(map)){													\
+		if(map->next == (map->size - 1)){										\
+			name##_item_ref tmp;												\
+																				\
+			tmp = (name##_item_ref) realloc(map->items, sizeof(name##_item_t) * 2 * map->size);	\
+			if(! tmp){															\
+				return ENOMEM;													\
+			}																	\
 			map->size *= 2;														\
 			map->items = tmp;													\
 		}																		\
-		map->items[ map->next ].key = key;										\
-		map->items[ map->next ].value = value;									\
-		map->items[ map->next ].magic = INT_MAP_ITEM_MAGIC_VALUE;				\
+		map->items[map->next].key = key;										\
+		map->items[map->next].value = value;									\
+		map->items[map->next].magic = INT_MAP_ITEM_MAGIC_VALUE;					\
 		++ map->next;															\
-		map->items[ map->next ].magic = 0;										\
+		map->items[map->next].magic = 0;										\
 		return map->next - 1;													\
 	}																			\
@@ -116,63 +118,63 @@
 }																				\
 																				\
-void name##_clear( name##_ref map ){											\
-	if( name##_is_valid( map )){												\
-		int	index;																\
+void name##_clear(name##_ref map){												\
+	if(name##_is_valid(map)){													\
+		int index;																\
 																				\
 /*		map->magic = 0;*/														\
-		for( index = 0; index < map->next; ++ index ){							\
-			if( name##_item_is_valid( &( map->items[ index ] ))){				\
-				name##_item_destroy( &( map->items[ index ] ));					\
+		for(index = 0; index < map->next; ++ index){							\
+			if(name##_item_is_valid(&(map->items[index]))){						\
+				name##_item_destroy(&(map->items[index]));						\
 			}																	\
 		}																		\
 		map->next = 0;															\
-		map->items[ map->next ].magic = 0;										\
+		map->items[map->next].magic = 0;										\
 /*		map->magic = INT_MAP_MAGIC_VALUE;*/										\
 	}																			\
 }																				\
 																				\
-int name##_count( name##_ref map ){												\
-	return name##_is_valid( map ) ? map->next : -1;								\
-}																				\
-																				\
-void name##_destroy( name##_ref map ){											\
-	if( name##_is_valid( map )){												\
-		int	index;																\
+int name##_count(name##_ref map){												\
+	return name##_is_valid(map) ? map->next : -1;								\
+}																				\
+																				\
+void name##_destroy(name##_ref map){											\
+	if(name##_is_valid(map)){													\
+		int index;																\
 																				\
 		map->magic = 0;															\
-		for( index = 0; index < map->next; ++ index ){							\
-			if( name##_item_is_valid( &( map->items[ index ] ))){				\
-				name##_item_destroy( &( map->items[ index ] ));					\
-			}																	\
-		}																		\
-		free( map->items );														\
-	}																			\
-}																				\
-																				\
-void name##_exclude( name##_ref map, int key ){									\
-	if( name##_is_valid( map )){												\
-		int	index;																\
-																				\
-		for( index = 0; index < map->next; ++ index ){							\
-			if( name##_item_is_valid( &( map->items[ index ] )) && ( map->items[ index ].key == key )){	\
-				name##_item_destroy( &( map->items[ index ] ));					\
-			}																	\
-		}																		\
-	}																			\
-}																				\
-																				\
-void name##_exclude_index( name##_ref map, int index ){							\
-	if( name##_is_valid( map ) && ( index >= 0 ) && ( index < map->next ) && name##_item_is_valid( &( map->items[ index ] ))){	\
-		name##_item_destroy( &( map->items[ index ] ));							\
-	}																			\
-}																				\
-																				\
-type * name##_find( name##_ref map, int key ){									\
-	if( name##_is_valid( map )){												\
-		int	index;																\
-																				\
-		for( index = 0; index < map->next; ++ index ){							\
-			if( name##_item_is_valid( &( map->items[ index ] )) && ( map->items[ index ].key == key )){	\
-				return map->items[ index ].value;								\
+		for(index = 0; index < map->next; ++ index){							\
+			if(name##_item_is_valid(&(map->items[index]))){						\
+				name##_item_destroy(&(map->items[index]));						\
+			}																	\
+		}																		\
+		free(map->items);														\
+	}																			\
+}																				\
+																				\
+void name##_exclude(name##_ref map, int key){									\
+	if(name##_is_valid(map)){													\
+		int index;																\
+																				\
+		for(index = 0; index < map->next; ++ index){							\
+			if(name##_item_is_valid(&(map->items[index])) && (map->items[index].key == key)){	\
+				name##_item_destroy(&(map->items[index]));						\
+			}																	\
+		}																		\
+	}																			\
+}																				\
+																				\
+void name##_exclude_index(name##_ref map, int index){							\
+	if(name##_is_valid(map) && (index >= 0) && (index < map->next) && name##_item_is_valid(&(map->items[index]))){	\
+		name##_item_destroy(&(map->items[index]));								\
+	}																			\
+}																				\
+																				\
+type * name##_find(name##_ref map, int key){									\
+	if(name##_is_valid(map)){													\
+		int index;																\
+																				\
+		for(index = 0; index < map->next; ++ index){							\
+			if(name##_item_is_valid(&(map->items[index])) && (map->items[index].key == key)){	\
+				return map->items[index].value;									\
 			}																	\
 		}																		\
@@ -181,14 +183,14 @@
 }																				\
 																				\
-int name##_update( name##_ref map, int key, int new_key ){						\
-	if( name##_is_valid( map )){												\
-		int	index;																\
-																				\
-		for( index = 0; index < map->next; ++ index ){							\
-			if( name##_item_is_valid( &( map->items[ index ] ))){				\
-				if( map->items[ index ].key == new_key ){						\
+int name##_update(name##_ref map, int key, int new_key){						\
+	if(name##_is_valid(map)){													\
+		int index;																\
+																				\
+		for(index = 0; index < map->next; ++ index){							\
+			if(name##_item_is_valid(&(map->items[index]))){						\
+				if(map->items[index].key == new_key){							\
 					return EEXIST;												\
-				}else if( map->items[ index ].key == key ){						\
-					map->items[ index ].key = new_key;							\
+				}else if(map->items[index].key == key){							\
+					map->items[index].key = new_key;							\
 					return EOK;													\
 				}																\
@@ -199,31 +201,35 @@
 }																				\
 																				\
-type * name##_get_index( name##_ref map, int index ){							\
-	if( name##_is_valid( map ) && ( index >= 0 ) && ( index < map->next ) && name##_item_is_valid( &( map->items[ index ] ))){	\
-		return map->items[ index ].value;										\
+type * name##_get_index(name##_ref map, int index){								\
+	if(name##_is_valid(map) && (index >= 0) && (index < map->next) && name##_item_is_valid(&(map->items[index]))){	\
+		return map->items[index].value;											\
 	}																			\
 	return NULL;																\
 }																				\
 																				\
-int name##_initialize( name##_ref map ){										\
-	if( ! map ) return EINVAL;													\
+int name##_initialize(name##_ref map){											\
+	if(! map){																	\
+		return EINVAL;															\
+	}																			\
 	map->size = 2;																\
 	map->next = 0;																\
-	map->items = ( name##_item_ref ) malloc( sizeof( name##_item_t ) * map->size );	\
-	if( ! map->items ) return ENOMEM;											\
-	map->items[ map->next ].magic = 0;											\
+	map->items = (name##_item_ref) malloc(sizeof(name##_item_t) * map->size);	\
+	if(! map->items){															\
+		return ENOMEM;															\
+	}																			\
+	map->items[map->next].magic = 0;											\
 	map->magic = INT_MAP_MAGIC_VALUE;											\
 	return EOK;																	\
 }																				\
 																				\
-int name##_is_valid( name##_ref map ){											\
-	return map && ( map->magic == INT_MAP_MAGIC_VALUE );						\
-}																				\
-																				\
-void name##_item_destroy( name##_item_ref item ){								\
-	if( name##_item_is_valid( item )){											\
+int name##_is_valid(name##_ref map){											\
+	return map && (map->magic == INT_MAP_MAGIC_VALUE);							\
+}																				\
+																				\
+void name##_item_destroy(name##_item_ref item){									\
+	if(name##_item_is_valid(item)){												\
 		item->magic = 0;														\
-		if( item->value ){														\
-			free( item->value );												\
+		if(item->value){														\
+			free(item->value);													\
 			item->value = NULL;													\
 		}																		\
@@ -231,6 +237,6 @@
 }																				\
 																				\
-int name##_item_is_valid( name##_item_ref item ){								\
-	return item && ( item->magic == INT_MAP_ITEM_MAGIC_VALUE );					\
+int name##_item_is_valid(name##_item_ref item){									\
+	return item && (item->magic == INT_MAP_ITEM_MAGIC_VALUE);					\
 }
 
